[vlc-commits] package/win32: Force libtool build when using llvm-mingw

Marvin Scholz git at videolan.org
Thu Jun 18 14:54:13 CEST 2020


vlc/vlc-3.0 | branch: master | Marvin Scholz <epirat07 at gmail.com> | Fri Oct  4 17:00:41 2019 +0200| [64ca983885c4599b671db076445bab32c8365c03] | committer: Steve Lhomme

package/win32: Force libtool build when using llvm-mingw

The libtool in extras/tools has additional patches that are needed to
build with llvm-mingw.

(cherry picked from commit f88b10e49d7fb04c360ec0ad13f94f9d5dc6d4e3) (rebased)

rebased:
- the JOBS cannot be set in the environment in this branch (missing 0e5999d54ca6e132fae29df22455ab9f645e5d69)

Signed-off-by: Steve Lhomme <robux4 at ycbcr.xyz>

> http://git.videolan.org/gitweb.cgi/vlc/vlc-3.0.git/?a=commit;h=64ca983885c4599b671db076445bab32c8365c03
---

 extras/package/win32/build.sh | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/extras/package/win32/build.sh b/extras/package/win32/build.sh
index 173d96d6e0..6d1dd9f8f3 100755
--- a/extras/package/win32/build.sh
+++ b/extras/package/win32/build.sh
@@ -96,11 +96,22 @@ esac
 JOBS=`getconf _NPROCESSORS_ONLN 2>&1`
 TRIPLET=$ARCH-w64-mingw32
 
+# Check if compiling with clang
+CC=${CC:-$TRIPLET-gcc}
+if ! printf "#ifdef __clang__\n#error CLANG\n#endif" | $CC -E -; then
+    COMPILING_WITH_CLANG=1
+fi
+
 info "Building extra tools"
 cd extras/tools
+
+# Force libtool build when compiling with clang
+if [ "$COMPILING_WITH_CLANG" -gt 0 ] && [ ! -d "libtool" ]; then
+    FORCED_TOOLS="libtool"
+fi
 # bootstrap only if needed in interactive mode
 if [ "$INTERACTIVE" != "yes" ] || [ ! -f ./Makefile ]; then
-    ./bootstrap
+    NEEDED="$FORCED_TOOLS" ./bootstrap
 fi
 make -j$JOBS
 export PATH="$PWD/build/bin":"$PATH"



More information about the vlc-commits mailing list